org.eclipse.net4j.db.ddl.delta

## Interface IDBSchemaDelta

- All Superinterfaces:
    java.lang.Comparable<IDBDelta>, IContainer<IDBDelta>, IDBDelta, IDBElement, IDBNamedElement, INotifier

      public interface IDBSchemaDelta
      extends IDBDelta

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `IDBDelta.ChangeKind, IDBDelta.DeltaType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(IDBSchema schema)`
    `IDBSchema` | `getSchemaElement(IDBSchema schema)`
    `IDBTableDelta` | `getTableDelta(java.lang.String name)`
    `int` | `getTableDeltaCount()`
    `java.util.Map<java.lang.String,IDBTableDelta>` | `getTableDeltas()`
    `IDBTableDelta[]` | `getTableDeltasSortedByName()`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

      `accept, getChangeKind, getDeltaType, getParent`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

      `getName`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getTableDeltaCount

          int getTableDeltaCount()

    - #### getTableDelta

          IDBTableDelta getTableDelta(java.lang.String name)

    - #### getTableDeltas

          java.util.Map<java.lang.String,IDBTableDelta> getTableDeltas()

    - #### getTableDeltasSortedByName

          IDBTableDelta[] getTableDeltasSortedByName()

    - #### getSchemaElement

          IDBSchema getSchemaElement(IDBSchema schema)

      Specified by:
        `getSchemaElement` in interface `IDBDelta`

    - #### applyTo

          void applyTo(IDBSchema schema)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html